import { useThree, extend } from '@react-three/fiber'
import { OrbitControls, useTexture } from '@react-three/drei'
import { DoubleSide } from 'three'

export default function Experience()
{
  const { camera, gl } = useThree()
  // const harborSealRockTexture = useTexture('./MARS-Harbor-Seal-Rock-in-Jezero-Crater-cross-eyed-Manzoni_May-1662x2048.jpg')
  const goliathTexture = useTexture('https://tile.loc.gov/storage-services/service/pnp/stereo/1s00000/1s00000/1s00600/1s00612v.jpg')
  const texture = goliathTexture
  const {width, height} = texture.image

  return <>
    <OrbitControls />

    <directionalLight position={ [ 1, 2, 3 ] } intensity={ 4.5 } />
    <ambientLight intensity={ 1.5 } />

    <mesh position-y={ 5 } scale={ .01 }>
      <planeGeometry args={[width, height]}/>
      <meshStandardMaterial map={texture} side={DoubleSide} />
    </mesh>
  </>
}